package com.ruoyi.reportManagement.service;


import com.ruoyi.reportManagement.domain.TWhgenleg;

import java.util.List;
import java.util.Map;

/**
 * 库存总账Service接口
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public interface ITWhgenlegService {
    /**
     * 查询库存总账
     *
     * @param fAccyear 库存总账ID
     * @return 库存总账
     */
    public Map<String, Object> selectTWhgenlegById(Long fAccyear);

    /**
     * 查询库存总账列表
     *
     * @param tWhgenleg 库存总账
     * @return 库存总账集合
     */
    public List<TWhgenleg> selectTWhgenlegList(TWhgenleg tWhgenleg);

    /**
     * 查询库存总账列表
     *
     * @param tWhgenleg 库存总账
     *      * @return 库存总账集合
     */
    List<Map<String, Object>> selectInventoryList(TWhgenleg tWhgenleg);

    /**
     * 新增库存总账
     *
     * @param tWhgenleg 库存总账
     * @return 结果
     */
    public int insertTWhgenleg(TWhgenleg tWhgenleg);

    /**
     * 修改库存总账
     *
     * @param tWhgenleg 库存总账
     * @return 结果
     */
    public int updateTWhgenleg(TWhgenleg tWhgenleg);

    /**
     * 批量删除库存总账
     *
     * @param fAccyears 需要删除的库存总账ID
     * @return 结果
     */
    public int deleteTWhgenlegByIds(Long[] fAccyears);

    /**
     * 删除库存总账信息
     *
     * @param fAccyear 库存总账ID
     * @return 结果
     */
    public int deleteTWhgenlegById(Long fAccyear);

    /**
     *   商品 库存总量
     * @return
     */
    Map<String, Object> selectGoodsList(Long fId);

    /**
     *  仓库 库存总量
     * @return
     */
    List<Map<String, Object>> selectWareHouseList();

    List<Map<String, Object>> selectWareHouseLists();

    /**
     *  客户 库存总量
     * @return
     */
    Map<String, Object> selectCorpsList(Long fId);

    /**
     *  一周库存总量
     * @return
     */
    List<Map<String, Object>> selectDateFQtyblcListList();



}
